Bug 971530 - 2013-06-06 upstream stage fixes
2013-06-06 upstream stage fixes
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 14:24 EDT by Brenton Leanhardt
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:46:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-06-06 14:24:03 EDT
Description of problem:

This is a tracker bug for the following upstream/stage commits to origin-server:

commit a4c80f18f3433b817141178e1d51c8791e8e90b0
Author: Paul Morie <pmorie@gmail.com>
Date:   Wed Jun 5 10:48:09 2013 -0400

    Skip symlinks in V1 cart model each_cartridge

commit 23a1c25b5dcf995c8c0b5803cbd49d6f8c116bc4
Author: Paul Morie <pmorie@gmail.com>
Date:   Wed Jun 5 13:27:23 2013 -0400

    rm -f .erb files after processing

commit d46ae61482e93f1c8066ddc3fcb9a2902c590735
Author: Paul Morie <pmorie@gmail.com>
Date:   Wed Jun 5 17:26:07 2013 -0400

    Change working directory to GEAR_BASE_DIR for openshift mcol agent

commit d851fd278c2a7fa7513e9b89961d3e236655c360
Author: Mrunal Patel <mrunalp@gmail.com>
Date:   Wed Jun 5 14:54:26 2013 -0700

    Add mindepth/maxdepth for finding manifest file.

commit ef90e0bbb00fe69ec5c829f3628cf63d7f505652
Author: Dan Mace <ironcladlou@gmail.com>
Date:   Thu Jun 6 09:22:04 2013 -0400

    Bug 971106: Fix skip_maven_build marker support

commit 17c81dfcf0574b03e4580aa8e4ee600fe9cffc65
Author: Dan Mace <ironcladlou@gmail.com>
Date:   Thu Jun 6 09:26:51 2013 -0400

    Eliminate noisy output from php control script
Comment 3 Brenton Leanhardt 2013-06-07 09:52:42 EDT
I'm also pulling in another commit that his the stage branch late yesterday:

commit 42dbb2879ece6fc1c4a8e0760c17d0fd5aa6bba2
Author: Rob Millner <rmillner@redhat.com>
Date:   Thu Jun 6 13:13:07 2013 -0700

    Post v2 migration issues - some legacy DNS variables had capitals in them.
Comment 4 Gaoyun Pei 2013-06-19 03:17:43 EDT
Checked the code changes corresponds with the following git commits to origin-server on OpenShiftEnterprise 1.2 RC1, all of them have been merged into enterprise, so verify this bug.


commit a4c80f18f3433b817141178e1d51c8791e8e90b0
Author: Paul Morie <pmorie@gmail.com>
Date:   Wed Jun 5 10:48:09 2013 -0400

    Skip symlinks in V1 cart model each_cartridge

node/lib/openshift-origin-node/model/v1_cart_model.rb

 64         next if File.symlink? cart_dir

--------------------------------------------------------------
commit 23a1c25b5dcf995c8c0b5803cbd49d6f8c116bc4
Author: Paul Morie <pmorie@gmail.com>
Date:   Wed Jun 5 13:27:23 2013 -0400

    rm -f .erb files after processing

node/lib/openshift-origin-node/model/v2_cart_model.rb

 596         else
 597           FileUtils.rm_f(file)

--------------------------------------------------------------
commit d46ae61482e93f1c8066ddc3fcb9a2902c590735
Author: Paul Morie <pmorie@gmail.com>
Date:   Wed Jun 5 17:26:07 2013 -0400

    Change working directory to GEAR_BASE_DIR for openshift mcol agent

plugins/msg-node/mcollective/src/openshift.rb

 32       def before_processing_hook(msg, connection)
 33         # Set working directory to a 'safe' directory to prevent Dir.chdir
 34         # calls with block from changing back to a directory which doesn't e    xist.
 35         Log.instance.debug("Changing working directory to /tmp")
 36         Dir.chdir('/tmp')
 37       end
 38 

--------------------------------------------------------------
commit d851fd278c2a7fa7513e9b89961d3e236655c360
Author: Mrunal Patel <mrunalp@gmail.com>
Date:   Wed Jun 5 14:54:26 2013 -0700

    Add mindepth/maxdepth for finding manifest file.

node-util/bin/oo-auto-idler

 67   output = %x[grep -r "Mappings:" `find #{gear_dir} -mindepth 3 -maxdepth 3     -name 'manifest.yml'` &> /dev/null]

--------------------------------------------------------------
commit ef90e0bbb00fe69ec5c829f3628cf63d7f505652
Author: Dan Mace <ironcladlou@gmail.com>
Date:   Thu Jun 6 09:22:04 2013 -0400

    Bug 971106: Fix skip_maven_build marker support

cartridges/openshift-origin-cartridge-jbosseap/bin/control

118       if [ -f ${OPENSHIFT_REPO_DIR}pom.xml ] && ! marker_present skip_maven_    build

--------------------------------------------------------------
commit 17c81dfcf0574b03e4580aa8e4ee600fe9cffc65
Author: Dan Mace <ironcladlou@gmail.com>
Date:   Thu Jun 6 09:26:51 2013 -0400

    Eliminate noisy output from php control script

cartridges/openshift-origin-cartridge-php/bin/control

 90   deploy)          exit 0 ;; # Nothing to deploy on template PHP cartridge
 91   *)               exit 0
 92 esac
Comment 5 Luke Meyer 2013-06-28 11:46:05 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.